function [ Ax,Ay,S,stress,u ] = myfunc( E,A,F,L,H )

%Sunartisi pou lunei ena summetriko diktuwma.
%Dedomena:
%E: metro elastikotitas se (kPa)
%A: embado diatomis se (m^2)
%F: katakorufi dunami se (kN)
%L: anoigma se (m)
%H: upsos se (m)

Ay=F/2;
Ax=Ay*H*L/2;
fi=atan(2*H/L);
S=Ax*cos(fi)+Ay*sin(fi);
stress=S/A;
el=sqrt(H^2+(L/2)^2);
Dl=S*el/E;
u=Dl/sin(fi);
end